> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported targets

> Returns all of the targets that are enabled in a particular flow



## OpenAPI

````yaml get /{env_id}/{flow_id}/supportedTargets
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/supportedTargets:
    get:
      summary: Supported targets
      description: Returns all of the targets that are enabled in a particular flow
      operationId: supported-targets-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - target: mssql
                      flowType: all
                      domain: microsoft.com
                      label: Microsoft SQL
                      type: api
                      icon: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/mssql.svg
                      validation_supported: true
                      connect_ui_params:
                        host:
                          label: Host Name
                          description: Your SQL server host
                        port:
                          label: Port
                          description: Your SQL server port
                        database:
                          label: Database
                          description: Your SQL database name
                        user:
                          label: User
                          description: Your SQL user
                        password:
                          label: Password
                          description: Your SQL password
                          type: password
                      connector_props:
                        singer_sdk: true
                      install_uri: >-
                        git+https://github.com/hotgluexyz/target-mssql.git@hgi-6830
                      isForked: true
              schema:
                type: array
                items:
                  type: object
                  properties:
                    target:
                      type: string
                      example: shopify
                    tags:
                      type: array
                      items:
                        type: string
                        example: ecommerce
                    domain:
                      type: string
                      example: shopify.com
                    label:
                      type: string
                      example: Shopify
                    type:
                      type: string
                      example: api
                    icon:
                      type: string
                      example: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg
                    auto_support:
                      type: boolean
                      example: true
                      default: true
                    connect_ui_params:
                      type: object
                      properties:
                        api_key:
                          type: object
                          properties:
                            label:
                              type: string
                              example: API Key
                            description:
                              type: string
                              example: Shopify API Key
                            type:
                              type: string
                              example: password
                        shop:
                          type: object
                          properties:
                            label:
                              type: string
                              example: Shop
                            description:
                              type: string
                              example: >-
                                Shopify shop name (ie. the value test_shop in
                                the string https://test_shop.myshopify.com)
                    config:
                      type: object
                      properties:
                        start_date:
                          type: string
                          example: '2015-01-01T00:00:00.000Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````